## com.sun.jersey.spi.container
Class WebApplicationFactory

    java.lang.Object
      com.sun.jersey.spi.container.WebApplicationFactory

    public final class WebApplicationFactory

extends java.lang.Object

A factory for `WebApplication` instances. Container providers use this class to obtain an instance of `WebApplication` to initiate.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`static WebApplication` | `createWebApplication()` Create a Web application instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createWebApplication

    public static WebApplication createWebApplication()
                                               throws ContainerException

  Create a Web application instance.

  Returns:
    the web application.
  Throws:
    `ContainerException` - if there is an error creating the Web application.

Copyright © 2017 Oracle Corporation. All Rights Reserved.